Loading...
Searching...
No Matches
gx_engine::Plugin Class Reference

`#include <gx_pluginloader.h>`

## Public Types

enum | { POST_WEIGHT = 2000 }

## Public Member Functions

PluginDef * | get_pdef ()
void | set_pdef (PluginDef *p)
| Plugin (PluginDef *pl=0)
| Plugin (gx_system::JsonParser &jp, ParamMap &pmap)
void | writeJSON (gx_system::JsonWriter &jw)
bool | get_box_visible () const
bool | get_plug_visible () const
bool | get_on_off () const
int | get_position () const
int | get_effect_post_pre () const
void | set_box_visible (bool v) const
void | set_plug_visible (bool v) const
void | set_on_off (bool v) const
void | set_position (int v) const
void | set_effect_post_pre (int v) const
const std::string & | id_box_visible () const
const std::string & | id_plug_visible () const
const std::string & | id_on_off () const
const std::string & | id_position () const
const std::string & | id_effect_post_pre () const
int | position_weight ()
void | register_vars (ParamMap &param, EngineControl &seq)
void | copy_position (const Plugin &plugin)

## Private Member Functions

void | set_midi_on_off_blocked (bool v)

## Private Attributes

PluginDef * | pdef
BoolParameter * | p_box_visible
| In Rack: UI Interface Box visible.
BoolParameter * | p_plug_visible
| minibox visible (false: full box)
BoolParameter * | p_on_off
| Audio Processing.
IntParameter * | p_position
| Position in Rack / Audio Processing Chain.
IntParameter * | p_effect_post_pre
| pre/post amp position (post = 0)
int | pos_tmp

## Friends

class | PluginListBase
class | PluginList
void | printlist (const char *title, const list< Plugin * > &modules, bool header=true)

## Detailed Description

Definition at line 45 of file gx_pluginloader.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
POST_WEIGHT |

Definition at line 58 of file gx_pluginloader.h.

## Constructor & Destructor Documentation

## Plugin() [1/2]

gx_engine::Plugin::Plugin | ( | PluginDef * | pl = 0 | ) |

Referenced by copy_position().

## Plugin() [2/2]

gx_engine::Plugin::Plugin | ( | gx_system::JsonParser & | jp,
|  | ParamMap & | pmap )

## Member Function Documentation

## copy_position()

void gx_engine::Plugin::copy_position | ( | const Plugin & | plugin | ) |

## get_box_visible()

bool gx_engine::Plugin::get_box_visible | ( |  | ) | const

inline

Definition at line 62 of file gx_pluginloader.h.

## get_effect_post_pre()

int gx_engine::Plugin::get_effect_post_pre | ( |  | ) | const

inline

Definition at line 66 of file gx_pluginloader.h.

Referenced by position_weight().

## get_on_off()

bool gx_engine::Plugin::get_on_off | ( |  | ) | const

inline

Definition at line 64 of file gx_pluginloader.h.

## get_pdef()

PluginDef * gx_engine::Plugin::get_pdef | ( |  | ) |

inline

Definition at line 56 of file gx_pluginloader.h.

## get_plug_visible()

bool gx_engine::Plugin::get_plug_visible | ( |  | ) | const

inline

Definition at line 63 of file gx_pluginloader.h.

## get_position()

int gx_engine::Plugin::get_position | ( |  | ) | const

inline

Definition at line 65 of file gx_pluginloader.h.

Referenced by position_weight().

## id_box_visible()

const std::string & gx_engine::Plugin::id_box_visible | ( |  | ) | const

inline

Definition at line 72 of file gx_pluginloader.h.

## id_effect_post_pre()

const std::string & gx_engine::Plugin::id_effect_post_pre | ( |  | ) | const

inline

Definition at line 76 of file gx_pluginloader.h.

## id_on_off()

const std::string & gx_engine::Plugin::id_on_off | ( |  | ) | const

inline

Definition at line 74 of file gx_pluginloader.h.

## id_plug_visible()

const std::string & gx_engine::Plugin::id_plug_visible | ( |  | ) | const

inline

Definition at line 73 of file gx_pluginloader.h.

## id_position()

const std::string & gx_engine::Plugin::id_position | ( |  | ) | const

inline

Definition at line 75 of file gx_pluginloader.h.

## position_weight()

int gx_engine::Plugin::position_weight | ( |  | ) |

inline

Definition at line 77 of file gx_pluginloader.h.

## register_vars()

void gx_engine::Plugin::register_vars | ( | ParamMap & | param,
|  | EngineControl & | seq )

## set_box_visible()

void gx_engine::Plugin::set_box_visible | ( | bool | v | ) | const

inline

Definition at line 67 of file gx_pluginloader.h.

## set_effect_post_pre()

void gx_engine::Plugin::set_effect_post_pre | ( | int | v | ) | const

inline

Definition at line 71 of file gx_pluginloader.h.

## set_midi_on_off_blocked()

void gx_engine::Plugin::set_midi_on_off_blocked | ( | bool | v | ) |

private

## set_on_off()

void gx_engine::Plugin::set_on_off | ( | bool | v | ) | const

inline

Definition at line 69 of file gx_pluginloader.h.

## set_pdef()

void gx_engine::Plugin::set_pdef | ( | PluginDef * | p | ) |

inline

Definition at line 57 of file gx_pluginloader.h.

## set_plug_visible()

void gx_engine::Plugin::set_plug_visible | ( | bool | v | ) | const

inline

Definition at line 68 of file gx_pluginloader.h.

## set_position()

void gx_engine::Plugin::set_position | ( | int | v | ) | const

inline

Definition at line 70 of file gx_pluginloader.h.

## writeJSON()

void gx_engine::Plugin::writeJSON | ( | gx_system::JsonWriter & | jw | ) |

## Friends And Related Symbol Documentation

## PluginList

friend class PluginList

friend

Definition at line 81 of file gx_pluginloader.h.

Referenced by PluginList.

## PluginListBase

friend class PluginListBase

friend

Definition at line 80 of file gx_pluginloader.h.

Referenced by PluginListBase.

## printlist

void printlist | ( | const char * | title,
|  | const list< Plugin * > & | modules,
|  | bool | header = true )

friend

## Member Data Documentation

## p_box_visible

BoolParameter* gx_engine::Plugin::p_box_visible

private

In Rack: UI Interface Box visible.

Definition at line 48 of file gx_pluginloader.h.

Referenced by get_box_visible(), id_box_visible(), and set_box_visible().

## p_effect_post_pre

IntParameter* gx_engine::Plugin::p_effect_post_pre

private

pre/post amp position (post = 0)

Definition at line 52 of file gx_pluginloader.h.

Referenced by get_effect_post_pre(), id_effect_post_pre(), and set_effect_post_pre().

## p_on_off

BoolParameter* gx_engine::Plugin::p_on_off

private

Audio Processing.

Definition at line 50 of file gx_pluginloader.h.

Referenced by get_on_off(), id_on_off(), and set_on_off().

## p_plug_visible

BoolParameter* gx_engine::Plugin::p_plug_visible

private

minibox visible (false: full box)

Definition at line 49 of file gx_pluginloader.h.

Referenced by get_plug_visible(), id_plug_visible(), and set_plug_visible().

## p_position

IntParameter* gx_engine::Plugin::p_position

private

Position in Rack / Audio Processing Chain.

Definition at line 51 of file gx_pluginloader.h.

Referenced by get_position(), id_position(), and set_position().

## pdef

PluginDef* gx_engine::Plugin::pdef

private

Definition at line 47 of file gx_pluginloader.h.

Referenced by get_pdef(), and set_pdef().

## pos_tmp

int gx_engine::Plugin::pos_tmp

private

Definition at line 53 of file gx_pluginloader.h.

The documentation for this class was generated from the following file:

- src/headers/gx_pluginloader.h